{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Добавить баннер</h2>
    <hr>
    <form method="post" action="" enctype= "multipart/form-data">
        <div class="form-group">
            <label for="inputdefault">Название:</label>
            <input class="form-control" id="inputdefault" type="text" name="title" value="{{ banners_edit.title }}">
        </div>
        <div class="form-group">
            <img  src="{{banners_edit.image}}" id="uploadPreview" style="width: 175px; height: 175px;" />
            <br><br>
            <label class="btn btn-default btn-file">Выбрать изображение<input id="uploadImage" type="file" name="image" style="display: none;" onchange="PreviewImage();">
            </label>
        </div>

        <div class="form-group">
            <label for="comment">Описание:</label>
            <input class="form-control" id="inputdefault" type="text" name="text" value="{{ banners_edit.text }}">
        </div>
        <div class="form-group">
            <label for="comment">Ссылка на источник:</label>
            <input class="form-control" id="inputdefault" type="text" name="link" value="{{ banners_edit.link }}">
        </div>
        <div class="form-group">
            <label for="inputDate">Введите дату начала показа баннера:</label>
            {#<input type="date" class="form-control" name="date_start" value="{{ banners_edit.date_start }}">#}
        </div>
        <div class="form-group">
            <label for="inputDate">Введите дату окончания показа баннера:</label>
            {#<input type="date" class="form-control" name="date_end" value="{{ banners_edit.date_end }}">#}
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <hr>
                <button type="submit" class="btn btn-primary btn-md btn-block" name="add">Редактировать</button>
            </div>
        </div>
    </form>

    <script>
        function PreviewImage() {
            var oFReader = new FileReader();
            oFReader.readAsDataURL(document.getElementById("uploadImage").files[0]);
            oFReader.onload = function (oFREvent) {
                document.getElementById("uploadPreview").src = oFREvent.target.result;
                var link = oFREvent.target.result;
            };
        }
    </script>

{% endblock %}